Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class EclipseWtp

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.EclipseWtp

    class EclipseWtp
    extends java.lang.Object

Enables fine-tuning wtp/wst details of the Eclipse plugin

More interesting examples you will find in docs for EclipseWtpComponent and EclipseWtpFacet

     apply plugin: 'java'
     apply plugin: 'war'
     apply plugin: 'eclipse-wtp'

     eclipse {

       //if you want parts of paths in resulting file(s) to be replaced by variables (files):
       pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

       wtp {
         component {
           //for examples see docs for EclipseWtpComponent
         }

         facet {
           //for examples see docs for EclipseWtpFacet
         }
       }
     }

@author: Szczepan Faber, created at: 4/19/11

Property Summary
`EclipseWtpComponent` | `component` Configures wtp component.
`EclipseWtpFacet` | `facet` Configures wtp facet.

Method Summary
`void` | `component(groovy.lang.Closure action)` Configures wtp component.
`void` | `facet(groovy.lang.Closure action)` Configures wtp facet.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### component

    EclipseWtpComponent component

  Configures wtp component.

  For examples see docs for EclipseWtpComponent

### facet

    EclipseWtpFacet facet

  Configures wtp facet.

  For examples see docs for EclipseWtpFacet

Method Detail

### component

    void component(groovy.lang.Closure action)

  Configures wtp component.

  For examples see docs for EclipseWtpComponent

  Parameters:
    action

### facet

    void facet(groovy.lang.Closure action)

  Configures wtp facet.

  For examples see docs for EclipseWtpFacet

  Parameters:
    action

Groovy Documentation